Page MenuHomePhabricator

Use project specific icons in sister search results
Closed, ResolvedPublic

Description

I think the project icons are hard to distinguish. I would suggest to put a more colorful version which makes it easier for the readers to figure out what the relevant project is about without reading its name.

Event Timeline

Gryllida created this task.Mar 17 2017, 2:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2017, 2:29 AM
debt triaged this task as Normal priority.Mar 17 2017, 10:32 PM
debt added subscribers: Nemo_bis, Jdrewniak, JGirault, debt.

Hi @Gryllida and @Nemo_bis - do you think something like this (below) would work better? There are design issues inherent in using the actual project icons, since they're all just a bit different in size/orientation, so that makes it a bit difficult.

TJones removed a subscriber: Discovery.Mar 18 2017, 2:27 AM

The icons we originally made to represent generic 'content types' such as quotations, definitions, textbooks etc. This was meant to help readers who might not know what the sister projects are. However, it turns out that it's hard to make icons that clearly represent these concepts (like a book icon vs textbook icon vs definition icon, they're all book-ish in the end) and an icon alone without any other visual distinctions doesn't convey this meaning. So I think moving away from these generic icons and using the project icons is the right move here. Then at least then, like @Gryllida says, users will be able to distinguish the project names easier.

So I think moving away from these generic icons and using the project icons is the right move here.

+1

do you think something like this (below) would work better?

Yes, though you should consider using the favicons (in the mock I see the full Wikinews logo; the favicon only has the globe).

debt renamed this task from Add color to icons in sister search results to Use project specific icons in sister search results.Mar 28 2017, 5:11 PM

Change 347368 had a related patch set uploaded (by Jdrewniak):
[mediawiki/core@master] [WIP] Revised styling of sister-search sidebar.

https://gerrit.wikimedia.org/r/347368

debt assigned this task to Jdrewniak.Apr 25 2017, 5:11 PM

Change 347368 merged by jenkins-bot:
[mediawiki/core@master] Revised styling of sister-search sidebar.

https://gerrit.wikimedia.org/r/347368

debt closed this task as Resolved.May 25 2017, 4:18 PM
debt moved this task from Needs review to Done on the Discovery-Search (Current work) board.

This was deployed during the week of May 9th. :)

Thanks, it's looking much better now: